package com.ss.android.ugc.aweme.legoImp;

import X.AnonymousClass9FG;
import X.AnonymousClass9H6;
import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C29988lp;
import X.C35318uQ;
import X.C42869Ft;
import X.C42909Fx;
import X.To9;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.keva.Keva;
import java.util.List;

public class SPKevaPreloadTaskV3 implements AnonymousClass9FG, C22438Ze {
    public Long LIZ = 500L;

    static {
        Covode.recordClassIndex(90344);
    }

    public final boolean LIZ() {
        return true;
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public C29988lp threadType() {
        return C29988lp.CPU;
    }

    public final long LIZIZ() {
        return this.LIZ.longValue();
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public C25518ec type() {
        if ((AnonymousClass9H6.LJIIIZ.LIZ() & AnonymousClass9H6.LIZJ) == AnonymousClass9H6.LIZJ) {
            return C25518ec.IDLE;
        }
        return C25518ec.BACKGROUND;
    }

    public final void LIZ(Long l) {
        this.LIZ = l;
    }

    public void run(Context context) {
        Context context2 = context;
        LIZ(context2, "applog_stats");
        LIZ(context2, "prefs_feed_check");
        LIZ(context2, "default_config");
        LIZ(context2, "key_language_sp_key");
        LIZ(context2, "sp_translation_cache");
        LIZ(context2, "KEY_NEED_UPLOAD_LAUNCHLOG");
        LIZ(context2, "HotSwapKey");
        LIZ(context2, "preinsatll_appflyer");
        LIZ(context2, "live-app-core-sdk");
        LIZ(context2, "app_setting");
        LIZ(context2, "av_ab_vesdk.xml");
        LIZ(context2, "awemeInfo");
        LIZ(context2, "performance_sp");
        LIZ(context2, "account_sec_share_data");
        LIZ(context2, "ttlive_tabs_cache_fyp");
        LIZ(context2, "VideoRecord");
        if (To9.LJ.LIZJ()) {
            Keva.getRepoSync("repo_ve_hook", 0);
            Keva.getRepoFromSpSync(context2, "com.vkontakte.android_pref_name", 0);
            Keva.getRepoFromSpSync(context2, "prefs_feed_check", 0);
            Keva.getRepoSync("repo_new_version_journey", 0);
            Keva.getRepoSync("repo_auto_volume", 0);
            Keva.getRepoSync("compliance_setting", 0);
            Keva.getRepoSync("tpc_consent", 0);
            Keva.getRepoSync("new_user_journey", 0);
            Keva.getRepoSync("eea_nonpersonalized_repo", 0);
            Keva.getRepoSync("NewUserUtils", 0);
            Keva.getRepoSync("new_user_journey", 0);
            Keva.getRepoSync("praise_keva", 0);
            Keva.getRepoSync("mandatory_login_repo", 0);
            Keva.getRepoSync("event_hot_area", 0);
            Keva.getRepoSync("repo_story_cold_start", 0);
            Keva.getRepoSync("account_security_keva_name", 0);
            Keva.getRepoSync("first_install_version", 0);
            Keva.getRepoFromSpSync(context2, "MTMainTabPreferences", 0);
            Keva.getRepoFromSpSync(context2, "InitialChooseLanguagePreferences", 0);
            Keva.getRepoSync("guidance_progress_bar", 0);
            Keva.getRepoSync("search_common", 0);
            Keva.getRepoSync("money_growth", 0);
            Keva.getRepoSync("not_interested_tutorial", 0);
            Keva.getRepoSync("plugin_repo", 0);
            Keva.getRepoFromSpSync(context2, "tcm_pro_account", 0);
            Keva.getRepoSync("keva_notice_count", 0);
            Keva.getRepoSync("compliance_privacy_group_chat_cache", 0);
            Keva.getRepoSync("age_gate_service_repo", 0);
            Keva.getRepoSync("ies_im_core", 0);
            Keva.getRepoSync("check_multi_account_repo", 0);
            Keva.getRepoSync("password_status", 0);
            Keva.getRepoSync("keva_aweme_account_user", 0);
            Keva.getRepoSync("disable_im_under_sixteen_repo", 0);
            Keva.getRepoSync("feed_ad_survey_repo", 0);
            Keva.getRepoFromSpSync(context2, "sp_stay_home_guide_cache", 0);
            Keva.getRepoFromSpSync(context2, "sp_show_share_guide_cache", 0);
            Keva.getRepoSync("interest_select", 0);
            Keva.getRepoSync("spec_act_debug_time", 0);
            Keva.getRepoSync("deliverAdKeva", 0);
            Keva.getRepoSync("keva_video_consume", 0);
            Keva.getRepoSync("permission_dialog6774942497421984774", 0);
        } else if (To9.LJ.LIZLLL()) {
            Keva.getRepoSync("repo_ve_hook", 0);
            Keva.getRepoSync("repo_new_version_journey", 0);
            Keva.getRepoSync("repo_auto_volume", 0);
            Keva.getRepoSync("tpc_consent", 0);
            Keva.getRepoSync("setting_from_server", 0);
            Keva.getRepoSync("new_user_journey", 0);
            Keva.getRepoSync("eea_nonpersonalized_repo", 0);
            Keva.getRepoSync("NewUserUtils", 0);
            Keva.getRepoSync("praise_keva", 0);
            Keva.getRepoSync("mandatory_login_repo", 0);
            Keva.getRepoSync("event_hot_area", 0);
            Keva.getRepoSync("auto_translation_settings_cache", 0);
            Keva.getRepoSync("TTSettingData", 0);
            Keva.getRepoSync("repo_story_cold_start", 0);
            Keva.getRepoSync("account_security_keva_name", 0);
            Keva.getRepoSync("first_install_version", 0);
            Keva.getRepoFromSpSync(context2, "MTMainTabPreferences", 0);
            Keva.getRepoSync("BaseListFragmentPanel", 0);
            Keva.getRepoFromSpSync(context2, "InitialChooseLanguagePreferences", 0);
            Keva.getRepoSync("guidance_progress_bar", 0);
            Keva.getRepoSync("search_common", 0);
            Keva.getRepoSync("not_interested_tutorial", 0);
            Keva.getRepoSync("plugin_repo", 0);
            Keva.getRepoSync("keva_notice_count", 0);
            Keva.getRepoSync("age_gate_service_repo", 0);
            Keva.getRepoSync("compliance_privacy_group_chat_cache", 0);
            Keva.getRepoSync("check_multi_account_repo", 0);
            Keva.getRepoSync("password_status", 0);
            Keva.getRepoSync("keva_aweme_account_user", 0);
            Keva.getRepoSync("disable_im_under_sixteen_repo", 0);
            Keva.getRepoSync("player_setting", 0);
            Keva.getRepoSync("feed_ad_survey_repo", 0);
            Keva.getRepoSync("video_gift_settings_keva_repo", 0);
            Keva.getRepoSync("interest_select", 0);
            Keva.getRepoSync("spec_act_debug_time", 0);
            Keva.getRepoSync("deliverAdKeva", 0);
            Keva.getRepoSync("keva_video_consume", 0);
            Keva.getRepoSync("permission_dialog6774942497421984774", 0);
        }
    }

    private void LIZ(Context context, String str) {
        C35318uQ.LIZ(context, str, 0).getInt("tiktok", 0);
    }
}
